Cue Docs
Templates API - V1

Send Template Message

Guide: Templates API - V1
POST
/v1/messages/whatsapp

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API token from Settings > API Tokens in your Cue workspace. See Authentication.

Header Parameters

Authorization*Authorization

An API token from Settings > API Tokens, as Bearer <token>.

Request Body

application/json
  1. body
to?string|null
from?string|null
type?string|null
templateName?string|null
category?string|null
language?string|null
clientRef?integer|string|null
components?array<unknown>|null

Response Body

Successful Response

application/json
  1. response
id?string|null
Example Request
curl -X POST 'https://api.cuedesk.com/v1/messages/whatsapp' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "id": "string"
}